<?php
/**
* 404 Page Settings.
*
* @package Board Games
*/

$board_games_default = board_games_get_default_theme_options();

$wp_customize->add_section( 'board_games_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'board-games' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'board_games_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'board_games_404_main_title',
    array(
        'default'           => $board_games_default['board_games_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'board_games_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'board-games' ),
        'section'  => 'board_games_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'board_games_404_subtitle_one',
    array(
        'default'           => $board_games_default['board_games_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'board_games_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'board-games' ),
        'section'  => 'board_games_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'board_games_404_para_one',
    array(
        'default'           => $board_games_default['board_games_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'board_games_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'board-games' ),
        'section'  => 'board_games_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'board_games_404_subtitle_two',
    array(
        'default'           => $board_games_default['board_games_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'board_games_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'board-games' ),
        'section'  => 'board_games_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'board_games_404_para_two',
    array(
        'default'           => $board_games_default['board_games_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'board_games_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'board-games' ),
        'section'  => 'board_games_404_page_settings',
        'type'     => 'text',
    )
);